<?php
	
	$the_wp_business_theme_color = get_theme_mod('the_wp_business_theme_color');

	$custom_css = '';

	if($the_wp_business_theme_color != false){
		$custom_css .='input[type="submit"], #footer input[type="submit"], .hovereffect a:hover, .bradcrumbs a, #comments input[type="submit"].submit, #comments a.comment-reply-link, #sidebar h3, #sidebar input[type="submit"], a.button,  #header .header-top, .page-template-custom-front-page .search-box span i, .page-template-custom-front-page .testbutton a, .woocommerce a.button, .woocommerce a.added_to_cart, .woocommerce button.button.alt, .woocommerce a.button.alt, .woocommerce input.button.alt, .woocommerce .cart .button, .woocommerce .cart input.button, nav.woocommerce-MyAccount-navigation ul li, .woocommerce #respond input#submit, .woocommerce a.button, .woocommerce button.button, .woocommerce input.button, .postbox a, .date-monthwrap, .inner, .read-more a, .pagination span, .pagination a,  .pagination .current, .woocommerce span.onsale, #header, .yearwrap, span.meta-nav{';
			$custom_css .='background-color: '.esc_html($the_wp_business_theme_color).';';
		$custom_css .='}';
	}
	if($the_wp_business_theme_color != false){
		$custom_css .='a, .notfound h1, #sidebar ul li a:hover, .nav-menu ul ul a:hover, .footerinner ul li a:hover, .search-box span i, h2.woocommerce-loop-product__title, .woocommerce select.orderby, p.woocommerce-result-count, h1.woocommerce-products-header__title , .woocommerce div.product .product_title, .read-more a:hover, .title-box, span.post-title, .woocommerce-message::before  {';
			$custom_css .='color: '.esc_html($the_wp_business_theme_color).';';
		$custom_css .='}';
	}
	if($the_wp_business_theme_color != false){
		$custom_css .=' 
		@media screen and (max-width:1000px){
			.nav-menu .current_page_ancestor > a{';
			$custom_css .='color: '.esc_html($the_wp_business_theme_color).';';
		$custom_css .='} }';
	}
	if($the_wp_business_theme_color != false){
		$custom_css .='a.button, #header, .woocommerce select.orderby, #footer h3, .woocommerce-message {';
			$custom_css .='border-color: '.esc_html($the_wp_business_theme_color).';';
		$custom_css .='}';
	}
	if($the_wp_business_theme_color != false){
		$custom_css .='.hvr-sweep-to-right {';
			$custom_css .='box-shadow: 0 0 5px '.esc_html($the_wp_business_theme_color).';';
		$custom_css .='}';
	}

	// Layout Options
	$theme_layout = get_theme_mod( 'the_wp_business_theme_layout_options','Default Theme');
    if($theme_layout == 'Default Theme'){
		$custom_css .='body{';
			$custom_css .='max-width: 100%;';
		$custom_css .='}';
	}else if($theme_layout == 'Container Theme'){
		$custom_css .='body{';
			$custom_css .='width: 100%;padding-right: 15px;padding-left: 15px;margin-right: auto;margin-left: auto;';
		$custom_css .='}';
		$custom_css .='.page-template-custom-front-page #header{';
			$custom_css .='width: 97.7%';
		$custom_css .='}';
		$custom_css .='
		@media screen and (min-width:1000px) and (max-width:1024px){
			.page-template-custom-front-page #header{';
			$custom_css .='width:97%;';
		$custom_css .='} }';
		$custom_css .='
		@media screen and (min-width:720px) and (max-width:1000px){
			.page-template-custom-front-page #header{';
			$custom_css .='width:96.1%;';
		$custom_css .='} }';
		$custom_css .='
		@media screen and  (max-width:720px){
			.page-template-custom-front-page #header{';
			$custom_css .='width:100%;';
		$custom_css .='} }';
	}else if($theme_layout == 'Box Container Theme'){
		$custom_css .='body{';
			$custom_css .='max-width: 1140px; width: 100%; padding-right: 15px; padding-left: 15px; margin-right: auto; margin-left: auto;';
		$custom_css .='}';
		$custom_css .='.page-template-custom-front-page #header{';
			$custom_css .='width: 86.4%;';
		$custom_css .='}';
		$custom_css .='
		@media screen and (min-width:1000px) and (max-width:1024px){
			.page-template-custom-front-page #header{';
			$custom_css .='width:97% ;';
		$custom_css .='} }';
		$custom_css .='
		@media screen and (min-width:720px) and (max-width:1000px){
			.page-template-custom-front-page #header{';
			$custom_css .='width:96.1%;';
		$custom_css .='} }';
		$custom_css .='
		@media screen and  (max-width:720px){
			.page-template-custom-front-page #header{';
			$custom_css .='width:100%;';
		$custom_css .='} }';
	}


	/*--------------------------- Slider Opacity -------------------*/

	$slider_layout = get_theme_mod( 'the_wp_business_slider_opacity_color','0.7');
	if($slider_layout == '0'){
		$custom_css .='#slider img{';
			$custom_css .='opacity:0';
		$custom_css .='}';
	}else if($slider_layout == '0.1'){
		$custom_css .='#slider img{';
			$custom_css .='opacity:0.1';
		$custom_css .='}';
	}else if($slider_layout == '0.2'){
		$custom_css .='#slider img{';
			$custom_css .='opacity:0.2';
		$custom_css .='}';
	}else if($slider_layout == '0.3'){
		$custom_css .='#slider img{';
			$custom_css .='opacity:0.3';
		$custom_css .='}';
	}else if($slider_layout == '0.4'){
		$custom_css .='#slider img{';
			$custom_css .='opacity:0.4';
		$custom_css .='}';
	}else if($slider_layout == '0.5'){
		$custom_css .='#slider img{';
			$custom_css .='opacity:0.5';
		$custom_css .='}';
	}else if($slider_layout == '0.6'){
		$custom_css .='#slider img{';
			$custom_css .='opacity:0.6';
		$custom_css .='}';
	}else if($slider_layout == '0.7'){
		$custom_css .='#slider img{';
			$custom_css .='opacity:0.7';
		$custom_css .='}';
	}else if($slider_layout == '0.8'){
		$custom_css .='#slider img{';
			$custom_css .='opacity:0.8';
		$custom_css .='}';
	}else if($slider_layout == '0.9'){
		$custom_css .='#slider img{';
			$custom_css .='opacity:0.9';
		$custom_css .='}';
	}

	/*---------------------------Slider Content Layout -------------------*/

	$slider_layout = get_theme_mod( 'the_wp_business_slider_alignment_option','Center Align');
    if($slider_layout == 'Left Align'){
		$custom_css .='#slider .carousel-caption, #slider .inner_carousel{';
			$custom_css .='text-align:left;';
		$custom_css .='}';
		$custom_css .='#slider .inner_carousel p{';
		$custom_css .='padding-left:0;';
		$custom_css .='}';
		$custom_css .='#slider .carousel-caption{';
		$custom_css .='left:15%; right:25%;';
		$custom_css .='}';
	}else if($slider_layout == 'Center Align'){
		$custom_css .='#slider .carousel-caption, #slider .inner_carousel{';
			$custom_css .='text-align:center;';
		$custom_css .='}';
	}else if($slider_layout == 'Right Align'){
		$custom_css .='#slider .carousel-caption, #slider .inner_carousel{';
			$custom_css .='text-align:right;';
		$custom_css .='}';
		$custom_css .='#slider .inner_carousel p{';
		$custom_css .='padding-right:0;';
		$custom_css .='}';
		$custom_css .='#slider .carousel-caption{';
		$custom_css .='left:25%; right:15%;';
		$custom_css .='}';
	}

	/*--------- Preloader Color Option -------*/
	$the_wp_business_preloader_color = get_theme_mod('the_wp_business_preloader_color');

	if($the_wp_business_preloader_color != false){
		$custom_css .=' .tg-loader{';
			$custom_css .='border-color: '.esc_html($the_wp_business_preloader_color).';';
		$custom_css .='} ';
		$custom_css .=' .tg-loader-inner{';
			$custom_css .='background-color: '.esc_html($the_wp_business_preloader_color).';';
		$custom_css .='} ';
	}

	$the_wp_business_preloader_bg_color = get_theme_mod('the_wp_business_preloader_bg_color');

	if($the_wp_business_preloader_bg_color != false){
		$custom_css .=' #overlayer{';
			$custom_css .='background-color: '.esc_html($the_wp_business_preloader_bg_color).';';
		$custom_css .='} ';
	}